package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


import smart_gs.drawing_tool.ImageLabel;
import smart_gs.drawing_tool.LineSegEditorImageLabel;
import smart_gs.drawing_tool.LineSegEditorCanvas;
import smart_gs.smleditor.swingui.GSEditor;
import smart_gs.smleditor.swingui.LineSegEditor;
import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.WorkspaceWindow;

public class LineSegEditorShowLinesActionListener implements ActionListener {

	private LineSegEditor parent;

	public LineSegEditorShowLinesActionListener(LineSegEditor parent) {
		this.parent = parent;
	}

	public void actionPerformed(ActionEvent e) {
		LineSegEditorCanvas canvas = this.parent.getLineSegEditorCanvas();
		LineSegEditorImageLabel.Show mode = canvas.getLineSegEditorImageLabel().getLineSegShowingMode();
		canvas.getLineSegEditorImageLabel().stepLineSegShowingMode(mode);
		parent.repaint();
	}

}